## poppler 0.57.0

=== debian/changelog ===
poppler (0.57.0-2ubuntu4.3) artful-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2017-18267.patch: fix issue for malformed
      documents in fofi/FoFiType1C.cc.
    - CVE-2017-18267

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 14 May 2018 12:43:51 -0300

poppler (0.57.0-2ubuntu4.2) artful-security; urgency=medium

  * SECURITY UPDATE: fails to validate boundaries in TextPool::addWord
    leading to overflow
    - debian/patches/CVE-2017-1000456.patch: fix crash in fuzzed file in
      poppler/TextOutputDev.cc.
    - CVE-2017-1000456

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 04 Jan 2018 17:19:45 -0300

poppler (0.57.0-2ubuntu4.1) artful-security; urgency=medium

  * SECURITY UPDATE: pointer dereference can cause a DoS attack
    - debian/patches/CVE-2017-15565.patch: fix crash in broken files caused by
      a dereference pointer in poppler/CairoOutputDev.cc.
    - CVE-2017-15565

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 26 Oct 2017 11:14:37 -0300

poppler (0.57.0-2ubuntu4) artful; urgency=medium

  * SECURITY UPDATE: Floating point exception
    - debian/patches/CVE-2017-14518.patch: Fix divide by 0 on broken
      documents in splash/Splash.cc.
    - CVE-2017-14518
  * SECURITY UPDATE: Floating point exception
    - debian/patches/CVE-2017-14520.patch: don't try to scale if srcHeight or
      srcWidth is less than 1 in splash/Splash.cc.
    - CVE-2017-14520
  * SECURITY UPDATE: Floating point exception in ImageStream
    - debian/patches/CVE-2017-14617.patch: Fix crash in broken files in
      poppler/Stream.cc.
    - CVE-2017-14617
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2017-14926.patch: Fix crash on broken files
      in poppler/Annot.cc.
    - CVE-2017-14926
  * SECURITY UPDATE: NULL pointer dereferencem
    - debian/patches/CVE-2017-14927.patch: Fix crash in broken files in
      poppler/SplashOutputDev.cc
    - CVE-2017-14927
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2017-14928.patch: Fix crash broken files
      in poppler/Annot.cc.
    - CVE-2017-14928
  * SECURITY UPDATE: Memory corruption
    - debian/patches/CVE-2017-14929.patch: Fix infinite recursion
      in poppler/Gfx.cc, poppler/GfxState.cc, poppler/GfxState.h.
    - CVE-2017-14929
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2017-14975.patch: fix crash in convertToType0 in
      fofi/FoFiType1C.cc.
    - CVE-2017-14975
  * SECURITY UPDATE: heap-based buffer over-read
    - debian/patches/CVE-2017-14976.patch: fix crash in convertToType0 in
      fofi/FoFiType1C.cc.
    - CVE-2017-14976
  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2017-14977.patch: fix NULL deference pointer in
      fofi/FoFiTrueType.cc.
    - CVE-2017-14977

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 05 Oct 2017 15:20:07 -0300

poppler (0.57.0-2ubuntu3) artful; urgency=medium

  * debian/rules:
    - build with --enable-libopenjpeg=unmaintained which makes the poppler
      openjpeg parser used as it was in Ubuntu until now. Upstream doesn't 
      recommend that but the libopenjpeg MIR has still not been approved and 
      without a parser some documents are rendered as blank. (lp: #1714596)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 09 Oct 2017 19:31:17 +0200

poppler (0.57.0-2ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: NULL Pointer Dereference
    - debian/patches/CVE-2017-14517.patch: Fix crash in broken file
      in poppler/XRef.cc.
    - CVE-2017-14517
  * SECURITY UPDATE: Memory corruption - infinite loop
    - debian/patches/CVE-2017-14519.patch: fix infinite recursion in
      poppler/Gfx.cc, poppler/Gfx.h, poppler/GfxFont.cc, poppler/GfxFont.h
    - CVE-2017-14519

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 29 Sep 2017 15:02:15 -0300

poppler (0.57.0-2ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/p/proper-init.patch: Fix thumbnailer crash
    - d/rules: Use --enable-libopenjpeg=none, it's in universe
    - debian/patches/CVE-2017-2820.patch: check for overflow in
      poppler/JPXStream.cc.
    - debian/patches/CVE-2017-9083.patch: check nComps in
      poppler/JPXStream.cc.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 05 Sep 2017 15:42:45 +0200

poppler (0.57.0-2) unstable; urgency=medium

  * debian/copyright: Add missing copyright holders. Closes: #872298.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 29 Aug 2017 18:42:54 +0200

poppler (0.57.0-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Update Vcs-* fields.
  * Add a lintian override for the "breaks-without-version xpdf-common" in
    poppler-utils, as it is making sure to clean up xpdf-common for upgrades
    to Buster.

  [ Emilio Pozuelo Monfort ]
  * New upstream release. Closes: #860955.
  * Fixes:
    CVE-2017-9406: memory leak parsing XRef entries. Closes: #864010.
    CVE-2017-9408: memory leak in Object::initArray. Closes: #864009.
    CVE-2017-9775: stack buffer overflow in GfxState.cc. Closes: #865680.
    CVE-2017-9776: integer overflow leading to heap buffer overflow
    in JBIG2Stream.cc. Closes: #865679.
    CVE-2017-9865: stack buffer overflow in GfxImageColorMap::getGray.
    Closes: #867477.
    CVE-2017-7511: pdfunite denial of service due to null pointer
    dereference. Closes: #863759.
    CVE-2017-7515: crash in tools due to infinite recursion.
  * debian/patches/upstream_pdfseparate-remove-extra-in-error-message.patch:
    + Dropped, fixed upstream.
  * Update symbols files.
  * libpoppler64 -> libpoppler68.
  * Re-enable PIE. Looks like Qt5 got fixed.
  * Bump debhelper compat to 10.
    + debhelper now defaults to --with autoreconf.
    + It also defaults to --parallel.
  * Switch to -dbgsym packages.
  * Set the team as maintainer.
  * Add myself to uploaders.



=== debian/control ===
Source: poppler
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
Uploaders: Josselin Mouette <joss@debian.org>,
           Loic Minier <lool@dooz.org>,
           Pino Toscano <pino@debian.org>,
           Emilio Pozuelo Monfort <pochu@debian.org>,
Build-Depends: debhelper (>= 10),
               dpkg (>= 1.16.1),
               libglib2.0-dev (>= 2.41),
               libfontconfig1-dev,
               libqt4-dev (>= 4:4.7.0),
               libcairo2-dev (>= 1.10.0),
               libjpeg-dev,
               libpng-dev,
               libtiff-dev,
               liblcms2-dev,
               libfreetype6-dev,
               gtk-doc-tools (>= 1.14),
               pkg-config (>= 0.18),
               libgirepository1.0-dev (>= 1.42.0-2~),
               gobject-introspection (>= 1.42.0-2~),
               qtbase5-dev,
               zlib1g-dev,
               libnss3-dev,
               libglib2.0-doc,
               libcairo2-doc
Standards-Version: 3.9.8
Homepage: http://poppler.freedesktop.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-freedesktop/poppler.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freedesktop/poppler.git
Testsuite: autopkgtest

Package: libpoppler68
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: poppler-data
Description: PDF rendering library
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the shared core library.

Package: libpoppler-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler68 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the development libraries needed to build applications
 using Poppler.

Package: libpoppler-private-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: libfreetype6-dev,
Breaks: libpoppler-dev (<< 0.20.2)
Replaces: libpoppler-dev (<< 0.20.2)
Description: PDF rendering library -- private development files
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the private and unstable headers needed to build
 applications using the private Poppler core library.

Package: libpoppler-glib8
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler68 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (GLib-based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the GLib-based shared library for applications
 using the GLib interface to Poppler.

Package: libpoppler-glib-dev
Architecture: any
Section: libdevel
Depends: libpoppler-glib8 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         gir1.2-poppler-0.18 (= ${binary:Version}),
         libglib2.0-dev (>= 2.41),
         libcairo2-dev (>= 1.10.0),
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: libpoppler-glib-doc
Description: PDF rendering library -- development files (GLib interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the GLib-based Poppler interface.

Package: libpoppler-glib-doc
Architecture: all
Section: doc
Depends: libglib2.0-doc,
         libcairo2-doc,
         ${misc:Depends}
Breaks: libpoppler-glib-dev (<< 0.22.5)
Replaces: libpoppler-glib-dev (<< 0.22.5)
Description: PDF rendering library -- documentation for the GLib interface
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the API documentation of the GLib-based Poppler
 interface.

Package: gir1.2-poppler-0.18
Architecture: any
Section: introspection
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for poppler-glib
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains introspection data for poppler-glib.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libpoppler-qt4-4
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler68 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (Qt 4 based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the Qt 4 based shared library for applications
 using the Qt 4 interface to Poppler.

Package: libpoppler-qt4-dev
Architecture: any
Section: libdevel
Depends: libpoppler-qt4-4 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         libqt4-dev (>= 4:4.7.0),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (Qt 4 interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the Qt 4-based Poppler interface.

Package: libpoppler-qt5-1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler68 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library (Qt 5 based shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the Qt 5 based shared library for applications
 using the Qt 5 interface to Poppler.

Package: libpoppler-qt5-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler-qt5-1 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         qtbase5-dev,
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (Qt 5 interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the Qt 5-based Poppler interface.

Package: libpoppler-cpp0v5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libpoppler68 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libpoppler-cpp0
Replaces: libpoppler-cpp0
Description: PDF rendering library (CPP shared library)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package provides the CPP shared library for applications
 using a simple C++ interface (using STL, and no other dependency) to Poppler.

Package: libpoppler-cpp-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libpoppler-cpp0v5 (= ${binary:Version}),
         libpoppler-dev (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: PDF rendering library -- development files (CPP interface)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains the headers and development libraries needed to
 build applications using the C++ Poppler interface.

Package: poppler-utils
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: libpoppler68 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
# should really be just the following:
#Breaks: xpdf-utils (<< 3.02-2~)
# ... but because of #774949 (remove after Stretch/9.0) instead is:
Breaks: xpdf-utils (<< 1:0), xpdf-common
Conflicts: pdftohtml
Replaces: xpdf-utils (<< 3.02-2~),
          pdftohtml,
          xpdf-reader
Provides: xpdf-utils,
          pdftohtml
Description: PDF utilities (based on Poppler)
 Poppler is a PDF rendering library based on Xpdf PDF viewer.
 .
 This package contains command line utilities (based on Poppler) for getting
 information of PDF documents, convert them to other formats, or manipulate
 them:
  * pdfdetach -- lists or extracts embedded files (attachments)
  * pdffonts -- font analyzer
  * pdfimages -- image extractor
  * pdfinfo -- document information
  * pdfseparate -- page extraction tool
  * pdfsig -- verifies digital signatures
  * pdftocairo -- PDF to PNG/JPEG/PDF/PS/EPS/SVG converter using Cairo
  * pdftohtml -- PDF to HTML converter
  * pdftoppm -- PDF to PPM/PNG/JPEG image converter
  * pdftops -- PDF to PostScript (PS) converter
  * pdftotext -- text extraction
  * pdfunite -- document merging tool

=== debian/rules ===
#!/usr/bin/make -f

# the upstream version (i.e. without the Debian revision)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
# symbols.in files & their "generated" file names
SYMBOLS_in := $(wildcard debian/*.symbols.in)
SYMBOLS_generated := $(patsubst %.in,%,$(SYMBOLS_in))

# use qt4's moc as the default moc is qt3's when both are installed
PATH := /usr/share/qt4/bin:$(PATH)
export PATH

# avoid overlinking and reduce library dependencies
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# make the build verbose
export V=1

# enable all the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# DEB_* variables
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# disable gtk stuff to minimize Build-Depends
CONFIGURE_ARGS :=				\
	--enable-libjpeg			\
	--enable-libpng				\
	--enable-libtiff			\
	--enable-splash-output			\
	--enable-cairo-output			\
	--enable-poppler-glib			\
	--enable-poppler-qt4			\
	--enable-poppler-qt5			\
	--enable-poppler-cpp			\
	--enable-gtk-doc			\
	--enable-xpdf-headers			\
	--enable-introspection=yes		\
	--enable-cms=lcms2			\
	--enable-libopenjpeg=unmaintained	\
	--disable-gtk-test

%:
	dh $@ --with gir

override_dh_auto_clean:
	dh_auto_clean
	rm -f glib/reference/html/*
	rm -f $(SYMBOLS_generated)

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install
	# remove libtool .la files
	rm -f -v $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs -plibpoppler68
	dh_installchangelogs --remaining-packages -XChangeLog

override_dh_makeshlibs: $(SYMBOLS_generated)
	dh_makeshlibs -plibpoppler68 -V
	dh_makeshlibs -plibpoppler-cpp0v5 -V"libpoppler-cpp0v5 (>= 0.46.0)"
	dh_makeshlibs --remaining-packages

debian/%.symbols: debian/%.symbols.in
	cat $^ | sed -e 's/#CURVER#/$(UPSTREAM_VERSION)/g' > $@

.PHONY: override_dh_auto_test

## poppler 0.62.0

=== cpp/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

configure_file(poppler-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/poppler-version.h @ONLY)

add_subdirectory(tests)

set(poppler_cpp_SRCS
  poppler-document.cpp
  poppler-embedded-file.cpp
  poppler-font.cpp
  poppler-global.cpp
  poppler-image.cpp
  poppler-page.cpp
  poppler-page-renderer.cpp
  poppler-page-transition.cpp
  poppler-private.cpp
  poppler-rectangle.cpp
  poppler-toc.cpp
  poppler-version.cpp
)

add_library(poppler-cpp SHARED ${poppler_cpp_SRCS})
set_target_properties(poppler-cpp PROPERTIES VERSION 0.3.0 SOVERSION 0)
if(MINGW)
    get_target_property(POPPLER_CPP_SOVERSION poppler-cpp SOVERSION)
    set_target_properties(poppler-cpp PROPERTIES SUFFIX "-${POPPLER_CPP_SOVERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}")
endif()
target_link_libraries(poppler-cpp poppler ${ICONV_LIBRARIES})
install(TARGETS poppler-cpp RUNTIME DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES
  poppler-document.h
  poppler-embedded-file.h
  poppler-font.h
  poppler-global.h
  poppler-image.h
  poppler-page.h
  poppler-page-renderer.h
  poppler-page-transition.h
  poppler-rectangle.h
  poppler-toc.h
  ${CMAKE_CURRENT_BINARY_DIR}/poppler-version.h
  DESTINATION include/poppler/cpp)

=== test/CMakeLists.txt ===

if (ENABLE_SPLASH)

  if (HAVE_NANOSLEEP OR LIB_RT_HAS_NANOSLEEP)
    set (perf_test_SRCS
      perf-test.cc
      perf-test-preview-dummy.cc
    )
    add_executable(perf-test ${perf_test_SRCS})
    target_link_libraries(perf-test poppler)
    if (LIB_RT_HAS_NANOSLEEP)
      target_link_libraries(perf-test rt)
    endif ()
  endif ()

endif ()

if (GTK_FOUND)

  add_definitions(${GTK3_CFLAGS})

  include_directories(
    ${CMAKE_SOURCE_DIR}/glib
    ${CMAKE_BINARY_DIR}/glib
  )

  set (gtk_splash_test_SRCS
    gtk-test.cc
  )
  poppler_add_test(gtk-test BUILD_GTK_TESTS ${gtk_splash_test_SRCS})
  target_link_libraries(gtk-test ${CAIRO_LIBRARIES} poppler-glib ${GTK3_LIBRARIES})

  if (HAVE_CAIRO)

    set (pdf_inspector_SRCS
      pdf-inspector.cc
    )
    poppler_add_test(pdf-inspector BUILD_GTK_TESTS ${pdf_inspector_SRCS})
    target_link_libraries(pdf-inspector ${CAIRO_LIBRARIES} poppler-glib ${GTK3_LIBRARIES})

  endif ()

endif ()

set (pdf_fullrewrite_SRCS
  pdf-fullrewrite.cc
  ../utils/parseargs.cc
)
add_executable(pdf-fullrewrite ${pdf_fullrewrite_SRCS})
target_link_libraries(pdf-fullrewrite poppler)

=== qt5/src/CMakeLists.txt ===
add_definitions(${QT5_DEFINITIONS})
add_definitions(${Qt5Core_DEFINITIONS})

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${Qt5Core_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
)

set(poppler_qt5_SRCS
  poppler-annotation.cc
  poppler-document.cc
  poppler-embeddedfile.cc
  poppler-fontinfo.cc
  poppler-form.cc
  poppler-link.cc
  poppler-link-extractor.cc
  poppler-movie.cc
  poppler-optcontent.cc
  poppler-page.cc
  poppler-base-converter.cc
  poppler-pdf-converter.cc
  poppler-private.cc
  poppler-ps-converter.cc
  poppler-qiodeviceoutstream.cc
  poppler-sound.cc
  poppler-textbox.cc
  poppler-page-transition.cc
  poppler-media.cc
  ArthurOutputDev.cc
)
add_library(poppler-qt5 SHARED ${poppler_qt5_SRCS})
set_target_properties(poppler-qt5 PROPERTIES VERSION 1.12.0 SOVERSION 1)
if(MINGW)
    get_target_property(POPPLER_QT5_SOVERSION poppler-qt5 SOVERSION)
    set_target_properties(poppler-qt5 PROPERTIES SUFFIX "-${POPPLER_QT5_SOVERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}")
endif()
target_link_libraries(poppler-qt5 poppler ${Qt5Core_LIBRARIES} ${Qt5Gui_LIBRARIES} ${Qt5Xml_LIBRARIES})
if(MSVC)
target_link_libraries(poppler-qt5 poppler ${poppler_LIBS})
endif()
install(TARGETS poppler-qt5 RUNTIME DESTINATION bin LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES
  poppler-qt5.h
  poppler-link.h
  poppler-annotation.h
  poppler-form.h
  poppler-optcontent.h
  poppler-export.h
  poppler-page-transition.h
  poppler-media.h
  DESTINATION include/poppler/qt5)

=== debian/changelog ===
poppler (0.62.0-2ubuntu2.14) bionic-security; urgency=medium

  * SECURITY REGRESSION: Adding missing install header
    - debian/patches/0001-Install-goo-GooCheckedOps.h.patch:
      this add goo/GooCheckedOps.h to the CMakeLists.txt in order
      to it be distributed in the libpoppler-private-dev that was
      missing in the previous fix for CVE-2022-38784. (LP: #1989515)

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Wed, 14 Sep 2022 13:46:18 -0300

poppler (0.62.0-2ubuntu2.13) bionic-security; urgency=medium

  * SECURITY UPDATE: Integer Overflow
    - debian/patches/CVE-2022-38784-pre.patch: add checks in
      goo/GooCheckedOps.h, goo/gmem.h.
    - debian/patches/CVE-2022-38784.patch:Fix crash on broken file
      in poppler/JBIG2Stream.cc.
    - CVE-2022-38784

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 06 Sep 2022 08:10:42 -0300

poppler (0.62.0-2ubuntu2.12) bionic-security; urgency=medium

  * SECURITY REGRESSION: broken Splash output (LP: #1905741)
    - debian/rules: don't build with SPLASH_CMYK=ON as this causes a
      regression with xpdf and gdal. This reverts the fix for
      CVE-2019-10871.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Nov 2020 10:55:59 -0500

poppler (0.62.0-2ubuntu2.11) bionic-security; urgency=medium

  * SECURITY UPDATE: integer overflow in Parser::makeStream
    - debian/patches/CVE-2018-21009.patch: check for overflow in
      poppler/Parser.cc.
    - CVE-2018-21009
  * SECURITY UPDATE: buffer overread in PSOutputDev::checkPageSlice
    - debian/rules: build with SPLASH_CMYK=ON.
    - debian/patches/CVE-2019-10871-fix.patch: fix wrong width condition in
      splash/SplashBitmap.cc.
    - debian/patches/CVE-2019-10871-fix2.patch: add missing
      splashModeDeviceN8 in two switch statements in
      poppler/SplashOutputDev.cc.
    - CVE-2019-10871
  * SECURITY UPDATE: integer overflow leading to large memory allocation
    - debian/patches/CVE-2019-9959.patch: ignore dict Length if clearly
      broken in poppler/JPEG2000Stream.cc.
    - CVE-2019-9959
  * SECURITY UPDATE: DoS via buffer overflow in pdftohtml
    - debian/patches/CVE-2020-27778.patch: properly initialize
      HtmlOutputDev::page in utils/HtmlOutputDev.cc.
    - CVE-2020-27778

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 Nov 2020 07:34:40 -0500

poppler (0.62.0-2ubuntu2.10) bionic-security; urgency=medium

  * SECURITY UPDATE: Divide-by-zero error
    - debian/patches/CVE-2019-14494.patch: Fix crash on broken file
      in poppler/SplashOutputDev.cc.
    - CVE-2019-14494

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 07 Aug 2019 14:12:48 -0300

poppler (0.62.0-2ubuntu2.9) bionic-security; urgency=medium

  * SECURITY UPDATE: memory leak in GfxColorSpace::setDisplayProfile
    - debian/patches/CVE-2018-18897.patch: enforcing single initialization
      in poppler/GfxState.cc, qt5/src/poppler-qt5.h.
    - CVE-2018-18897
  * SECURITY UPDATE: DoS via crafted PDF file
    - debian/patches/CVE-2018-20662.patch: check XRef's Catalog for being a
      Dict in utils/pdfunite.cc.
    - CVE-2018-20662
  * SECURITY UPDATE: buffer over-read in downsample_row_box_filter
    - debian/patches/CVE-2019-9631-1.patch: compute correct coverage values
      for box filter in poppler/CairoRescaleBox.cc.
    - debian/patches/CVE-2019-9631-2.patch: constrain number of cycles in
      rescale filter in poppler/CairoRescaleBox.cc.
    - CVE-2019-9631
  * SECURITY UPDATE: dict marking mishandling
    - debian/patches/CVE-2019-9903.patch: fix stack overflow on broken file
      in poppler/PDFDoc.cc.
    - CVE-2019-9903
  * SECURITY UPDATE: heap-based buffer over-read
    - debian/patches/CVE-2019-10872.patch: restrict filling of overlapping
      boxes in splash/Splash.cc.
    - CVE-2019-10872
  * SECURITY UPDATE: buffer over-read in JPXStream::init
    - debian/patches/CVE-2019-12293.patch: fail gracefully if not all
      components have the same WxH in poppler/JPEG2000Stream.cc.
    - CVE-2019-12293

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 26 Jun 2019 09:59:06 -0400

poppler (0.62.0-2ubuntu2.8) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2019-9200.patch: fix in
      poppler/Stream.cc.
    - CVE-2019-9200

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 28 Feb 2019 09:28:47 -0300

poppler (0.62.0-2ubuntu2.7) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-20551.patch: fix in
      poppler/Annot.cc.
    - CVE-2018-20551
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2019-7310.patch: fix in
      poppler/XRef.cc.
    - CVE-2019-7310

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 08 Feb 2019 09:50:52 -0300

poppler (0.62.0-2ubuntu2.6) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-20481.patch: fix in
      poppler/XRef.cc.
    - CVE-2018-20481
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-20650.patch: fix in
      poppler/FileSpec.cc.
    - CVE-2018-20650

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 21 Jan 2019 10:55:43 -0300

poppler (0.62.0-2ubuntu2.5) bionic-security; urgency=medium

  * SECURITY REGRESSION: fixing regression in check entry
    - debian/patches/CVE-2018-16646-fix-regression-p1.patch
    - debian/patches/CVE-2018-16646-fix-regression-p2.patch

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 10 Dec 2018 14:14:38 -0300

poppler (0.62.0-2ubuntu2.4) bionic-security; urgency=medium

  [ Marc Deslauriers ]
  * SECURITY UPDATE: infinite recursion via crafted file
    - debian/patches/CVE-2018-16646.patch: avoid cycles in PDF parsing in
      poppler/Parser.cc, poppler/XRef.h.
    - CVE-2018-16646
  * SECURITY UPDATE: denial of service via reachable abort
    - debian/patches/CVE-2018-19058.patch: check for stream before calling


=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
            Loic Minier <lool@dooz.org>,
            Pino Toscano <pino@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 10.3~),
                dpkg (>= 1.16.1),
+               cmake,
                libglib2.0-dev (>= 2.41),
                libfontconfig1-dev,
-               libqt4-dev (>= 4:4.7.0),
                libcairo2-dev (>= 1.10.0),
                libjpeg-dev,
                libpng-dev,
@@ -27,13 +27,12 @@
                libnss3-dev,
                libglib2.0-doc,
                libcairo2-doc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: http://poppler.freedesktop.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-freedesktop/poppler.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freedesktop/poppler.git
-Testsuite: autopkgtest
-
-Package: libpoppler68
+Vcs-Git: https://salsa.debian.org/freedesktop-team/poppler.git
+Vcs-Browser: https://salsa.debian.org/freedesktop-team/poppler
+
+Package: libpoppler73
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -50,7 +49,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libpoppler68 (= ${binary:Version}),
+Depends: libpoppler73 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library -- development files
@@ -66,8 +65,6 @@
 Depends: libpoppler-dev (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libfreetype6-dev,
-Breaks: libpoppler-dev (<< 0.20.2)
-Replaces: libpoppler-dev (<< 0.20.2)
 Description: PDF rendering library -- private development files
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
@@ -79,7 +76,7 @@
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler68 (= ${binary:Version}),
+Depends: libpoppler73 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library (GLib-based shared library)
@@ -108,11 +105,9 @@
 Package: libpoppler-glib-doc
 Architecture: all
 Section: doc
-Depends: libglib2.0-doc,
-         libcairo2-doc,
-         ${misc:Depends}
-Breaks: libpoppler-glib-dev (<< 0.22.5)
-Replaces: libpoppler-glib-dev (<< 0.22.5)
+Depends: ${misc:Depends}
+Recommends: libglib2.0-doc,
+            libcairo2-doc,
 Description: PDF rendering library -- documentation for the GLib interface
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
@@ -134,40 +129,12 @@
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
 
-Package: libpoppler-qt4-4
-Architecture: any
-Section: libs
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler68 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
-Description: PDF rendering library (Qt 4 based shared library)
- Poppler is a PDF rendering library based on Xpdf PDF viewer.
- .
- This package provides the Qt 4 based shared library for applications
- using the Qt 4 interface to Poppler.
-
-Package: libpoppler-qt4-dev
-Architecture: any
-Section: libdevel
-Depends: libpoppler-qt4-4 (= ${binary:Version}),
-         libpoppler-dev (= ${binary:Version}),
-         libqt4-dev (>= 4:4.7.0),
-         ${shlibs:Depends},
-         ${misc:Depends}
-Description: PDF rendering library -- development files (Qt 4 interface)
- Poppler is a PDF rendering library based on Xpdf PDF viewer.
- .
- This package contains the headers and development libraries needed to
- build applications using the Qt 4-based Poppler interface.
-
 Package: libpoppler-qt5-1
 Architecture: any
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler68 (= ${binary:Version}),
+Depends: libpoppler73 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library (Qt 5 based shared library)
@@ -196,7 +163,7 @@
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler68 (= ${binary:Version}),
+Depends: libpoppler73 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: libpoppler-cpp0
@@ -225,7 +192,7 @@
 Architecture: any
 Section: utils
 Multi-Arch: foreign
-Depends: libpoppler68 (= ${binary:Version}),
+Depends: libpoppler73 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 # should really be just the following:

=== debian/rules ===
#!/usr/bin/make -f

# the upstream version (i.e. without the Debian revision)
UPSTREAM_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: //p' | cut -f1 -d '-')
# symbols.in files & their "generated" file names
SYMBOLS_in := $(wildcard debian/*.symbols.in)
SYMBOLS_generated := $(patsubst %.in,%,$(SYMBOLS_in))

# avoid overlinking and reduce library dependencies
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# enable all the hardening options
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CXXFLAGS += -g

# DEB_* variables
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# disable gtk stuff to minimize Build-Depends
CONFIGURE_ARGS :=				\
	-DCMAKE_BUILD_TYPE=Release		\
	-DCMAKE_C_FLAGS_RELEASE="$(CFLAGS)"	\
	-DCMAKE_CXX_FLAGS_RELEASE="$(CXXFLAGS)"	\
	-DCMAKE_INSTALL_LIBDIR="lib/$(DEB_HOST_MULTIARCH)" \
	-DENABLE_GLIB=ON			\
	-DENABLE_QT5=ON				\
	-DENABLE_CPP=ON				\
	-DENABLE_GTK_DOC=ON			\
	-DENABLE_XPDF_HEADERS=ON		\
	-DENABLE_CMS=lcms2			\
	-DENABLE_LIBOPENJPEG=unmaintained	\
	-DBUILD_GTK_TESTS=OFF

%:
	dh $@ --with gir

override_dh_auto_clean:
	dh_auto_clean
	rm -f glib/reference/html/*
	rm -f $(SYMBOLS_generated)

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install
	# remove libtool .la files
	rm -f -v $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la

override_dh_missing:
	dh_missing --list-missing

override_dh_installchangelogs:
	dh_installchangelogs -plibpoppler73
	dh_installchangelogs --remaining-packages -XChangeLog

override_dh_makeshlibs: $(SYMBOLS_generated)
	dh_makeshlibs -plibpoppler73 -V
	dh_makeshlibs -plibpoppler-cpp0v5 -V"libpoppler-cpp0v5 (>= 0.46.0)"
	dh_makeshlibs --remaining-packages

debian/%.symbols: debian/%.symbols.in
	cat $^ | sed -e 's/#CURVER#/$(UPSTREAM_VERSION)/g' > $@

.PHONY: override_dh_auto_test

=== debian/tests/control ===
Tests: cpp
Depends: build-essential, pkg-config, libpoppler-cpp-dev, cups-filters

Tests: glib
Depends: build-essential, pkg-config, libpoppler-glib-dev, cups-filters

Tests: qt5
Depends: build-essential, pkg-config, libpoppler-qt5-dev, cups-filters

## poppler 0.68.0

=== debian/changelog ===
poppler (0.68.0-0ubuntu1) cosmic; urgency=medium

  * New upstream version
    - TextPage: Add horizontal scaling to font matrix (lp: #1761567)
  * Updated for the soname change libpoppler73 -> 79
  * debian/patches/proper-init.patch:
    - removed, the issue has been fixed upstream in another way since
  * debian/patches/01-new-gtk-doc.patch,
    debian/patches/cairo-good-filter.patch,
    debian/patches/CVE-2017-18267.patch:
    - removed, the fixes are in the new version
  * debian/patches/series:
    - added a comment about the remaining patches

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Aug 2018 11:30:47 +0200

poppler (0.62.0-2ubuntu3) cosmic; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2017-18267.patch: fix issue for malformed
      documents in fofi/FoFiType1C.cc.
    - CVE-2017-18267

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 16 May 2018 13:30:19 -0300

=== debian/rules ===
--- 
+++ 
@@ -55,11 +55,11 @@
 	dh_missing --list-missing
 
 override_dh_installchangelogs:
-	dh_installchangelogs -plibpoppler73
+	dh_installchangelogs -plibpoppler79
 	dh_installchangelogs --remaining-packages -XChangeLog
 
 override_dh_makeshlibs: $(SYMBOLS_generated)
-	dh_makeshlibs -plibpoppler73 -V
+	dh_makeshlibs -plibpoppler79 -V
 	dh_makeshlibs -plibpoppler-cpp0v5 -V"libpoppler-cpp0v5 (>= 0.46.0)"
 	dh_makeshlibs --remaining-packages
